Skills
Update a skill
Modifies the specified skill's configuration.
Parâmetros de caminho
name
string
exigido
The name of the skill to update.
Parâmetros do cabeçalho
Foundry-Features
enum
exigido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Corpo da solicitação
default_version
string
exigido
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Respostas
The request has succeeded.
Corpo
id
string
exigido
The unique identifier of the skill.
name
string
exigido
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
exigido
A human-readable description of the skill.
default_version
string
exigido
The default version for the skill. Can be changed via updateSkill.
latest_version
string
exigido
The latest version for the skill.
Solicitar
POST /skills/{name} HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json